use Modern::Perl;
use Test::More;

use lib 'lib';
use lib 't/lib';
use Test::WWW::Mechanize::Catalyst;

my @recipes = (
    # want_also_to_check_user_exists , user_exists
    [ 'undef'                        , 'yes' ]     , 
    [ '1'                            , 'no'  ]     , 
    [ '0'                            , 'yes' ]     , 
);

my $mech = Test::WWW::Mechanize::Catalyst->new(catalyst_app => 'TestApp');

for my $recipe (@recipes) {
    modify_config: {
        my $uri = URI->new("/eval");
        $uri->query_form( code => 
            q/$c->config->{'Plugin::Authentication::PasswordChangeDetection'}{want_also_to_check_user_exists} = / . $recipe->[0] . ';'
        );
        $mech->get_ok($uri);
    }

    $mech->get_ok("/");
    $mech->content_is("i am index");

    $mech->get_ok("/user_exists");
    $mech->content_is("no");

    $mech->get_ok("/login?username=user1&password=secret");
    $mech->content_is("success");

    $mech->get_ok("/user_exists");
    $mech->content_is("yes");

    $mech->get_ok("/user");
    $mech->content_is("yes");

    increment_password_revision: {
        my $uri = URI->new("/eval");
        $uri->query_form( code => <<'CODE' );
            my $user = $c->model("DBIC::User")->find({username=>"user1"});
            $user->password_revision( ($user->password_revision||0) + 1 );
            $user->update;
CODE
        $mech->get_ok($uri);
    }

    $mech->get_ok("/user_exists");
    $mech->content_is($recipe->[1]);

    $mech->get_ok("/user");
    $mech->content_is("no");
}

done_testing;
