package TestApp;

use Moose;
extends "Catalyst";

__PACKAGE__->config(
    authentication => {
        default_realm => 'users',
        realms => {
            users => {
                credential => {
                    class          => 'Password',
                    password_field => 'password',
                    password_type  => 'clear'
                },
                store => {
                    class         => 'DBIx::Class',
                    user_model    => 'DBIC::User',
                },
            },
        },
    },
);

__PACKAGE__->setup(
    "Authentication",
    "Authentication::PasswordChangeDetection",
    "Session",
    "Session::Store::Dummy",
    "Session::State::Cookie",
);

1;
